{% extends 'main/sample.html' %}
{% load static %}

{% block title %} Реєстрація {% endblock %}
{% block css_url %} <link rel="stylesheet" href="{% static 'main/css/form.css' %}"> {% endblock %}

{% block content %}
<main>
    <form method="POST">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.inputmask/5.0.6/jquery.inputmask.min.js"></script>
        <script src="{% static 'main/js/phonemask.js' %}"></script>
        <h1>Реєстрація</h1>
        {% csrf_token %}
        <div class="form_error">{{ form.non_field_errors }}</div>
        {% for f in form %}
            {% if f.name == 'gender' %}
                <h2 for="{{ f.id_for_label }}">{{ f.label }}: </h2>
                <div id="id_gender" class="gender_input">
                    <label for="id_gender_0" class="radio">
                        <input id="id_gender_0" type="radio" name="gender" value="m" autofocus="" class="input" required="" autocomplete="off" checked="">
                        <span class="gender_label">Чоловіча</span>
                    </label>
                    <label for="id_gender_1" class="radio">
                        <input id="id_gender_1" type="radio" name="gender" value="f" autofocus="" class="input" required="" autocomplete="off">
                        <span class="gender_label">Жіноча</span>
                    </label>
                </div>
                <div class="form_error">{{ f.errors }}</div>
            {% elif f.name == 'birth_date' %}
                <h2 for="{{ f.id_for_label }}">{{ f.label }}: </h2>
                {{ f }}
                <div class="form_error">{{ f.errors }}</div>
            {% else %}
                <div class="inputGroup">
                    {{ f }}
                    <label for="{{ f.id_for_label }}">{{ f.label }}</label>
                    <div class="form_error">{{ f.errors }}</div>
                </div>
            {% endif %}
        {% endfor %}
        <div class="button_box">
            <button type="submit" action="#">Надіслати</button>
        </div>
    </form>
    <script src="{% static 'main/js/form.js' %}"></script>
</main>
{% endblock %}